<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'ultra_gym_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','ultra-gym' ),
	'description'       => esc_html__( 'Archive section options.', 'ultra-gym' ),
	'panel'             => 'ultra_gym_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'ultra_gym_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'ultra-gym' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'ultra-gym' ),
	'section'           => 'ultra_gym_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'ultra_gym_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'ultra_gym_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultra_Gym_Switch_Control( $wp_customize, 'ultra_gym_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'ultra-gym' ),
	'section'           => 'ultra_gym_archive_section',
	'on_off_label' 		=> ultra_gym_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'ultra_gym_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultra_Gym_Switch_Control( $wp_customize, 'ultra_gym_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'ultra-gym' ),
	'section'           => 'ultra_gym_archive_section',
	'on_off_label' 		=> ultra_gym_hide_options(),
) ) );

// read more text setting and control
$wp_customize->add_setting( 'ultra_gym_theme_options[read_more_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['read_more_text'],
) );

$wp_customize->add_control( 'ultra_gym_theme_options[read_more_text]', array(
	'label'           	=> esc_html__( 'Read More Text Label', 'ultra-gym' ),
	'section'        	=> 'ultra_gym_archive_section',
	'type'				=> 'text',
) );

