<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

$wp_customize->add_section( 'ultra_gym_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','ultra-gym' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'ultra-gym' ),
	'panel'             => 'ultra_gym_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'ultra_gym_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Ultra_Gym_Switch_Control( $wp_customize, 'ultra_gym_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'ultra-gym' ),
	'section'          	=> 'ultra_gym_breadcrumb',
	'on_off_label' 		=> ultra_gym_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'ultra_gym_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'ultra-gym' ),
	'active_callback' 	=> 'ultra_gym_is_breadcrumb_enable',
	'section'          	=> 'ultra_gym_breadcrumb',
) );
