<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  ultra_gym
 * @since  ultra_gym 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultra_gym_layout', array(
	'title'               => esc_html__('Layout','ultra-gym'),
	'description'         => esc_html__( 'Layout section options.', 'ultra-gym' ),
	'panel'               => 'ultra_gym_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[site_layout]', array(
	'sanitize_callback'   => 'ultra_gym_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Ultra_Gym_Custom_Radio_Image_Control ( $wp_customize, 'ultra_gym_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'ultra-gym' ),
	'section'             => 'ultra_gym_layout',
	'choices'			  => ultra_gym_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'ultra_gym_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Ultra_Gym_Custom_Radio_Image_Control ( $wp_customize, 'ultra_gym_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'ultra-gym' ),
	'section'             => 'ultra_gym_layout',
	'choices'			  => ultra_gym_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'ultra_gym_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Ultra_Gym_Custom_Radio_Image_Control ( $wp_customize, 'ultra_gym_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'ultra-gym' ),
	'section'             => 'ultra_gym_layout',
	'choices'			  => ultra_gym_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'ultra_gym_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'ultra_gym_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Ultra_Gym_Custom_Radio_Image_Control( $wp_customize, 'ultra_gym_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'ultra-gym' ),
	'section'             => 'ultra_gym_layout',
	'choices'			  => ultra_gym_sidebar_position(),
) ) );